#!/bin/sh

cat <<EOF
\\documentclass[a4paper]{article}

\\usepackage[frenchb]{babel}
\\usepackage[margin=0.6cm,inner=0cm,outer=0cm]{geometry}
\\usepackage{fontspec}
\\usepackage{hyperref}
\\usepackage{xcolor}
\\usepackage{niceframe}

\\definecolor{grey}{rgb}{0.15, 0.15, 0.15}
\\hypersetup{
    colorlinks  = true,
    urlcolor    = grey,
    linkcolor   = grey,
}

\\setmainfont[Ligatures=TeX,Numbers={OldStyle,Proportional}]{Linux Libertine O}
\\setsansfont[Ligatures=TeX,Numbers={OldStyle,Proportional}]{Linux Biolinum O}
\\setmonofont{FantasqueSansMono-Regular.otf}

\\newcommand{\\zz}[3]{\\begin{minipage}{.48\\textwidth}
\\curlyframe{
  \\centering
      {\\sffamily\\huge Bienvenue au challenge forensic EPITA~!}\\\\
      \\vspace{0.7em}

      Vous trouverez sur la clef USB le nécessaire pour vous authentifier
      auprès de notre serveur.\\\\
      \\vspace{0.45em}

      Votre équipe : #1 -- \\emph{#2}\\\\
      Mot de passe : \\texttt{#3}\\\\
      \\vspace{0.4em}

      \\url{https://fic.srs.epita.fr/}
}
\\end{minipage}
}

\\begin{document}
EOF


ID=0
while read LINE
do
    ID=$(($ID + 1))
    NAME=$(echo $LINE | cut -d : -f 1 | sed 's/&/\\&/g;s/%/\\%/g;s/\$/\\$/g;s/#/\\#/g;s/_/ /g;s/{/\\{/g;s/}/\\}/g;s/~/\\textasciitilde{}/g;s/\^/\\\^{}/g')
    PASS=$(echo $LINE | cut -d : -f 2- | sed 's/&/\\&/g;s/%/\\%/g;s/\$/\\$/g;s/#/\\#/g;s/_/\\_/g;s/{/\\{/g;s/}/\\}/g;s/~/\\textasciitilde{}/g;s/\^/\\\^{}/g')

    echo "\\zz{$ID}{$NAME}{$PASS}"

    if [ $(($ID % 2)) = 0 ]
    then
	echo
    fi
done


cat <<EOF
\\end{document}
EOF
