// +build checkupdate

package main

import (
	"encoding/json"
	"io"
	"log"
	"net/http"
)

const version = 0

func init() {
	go checkUpdate()
}

func checkUpdate() {
	res, err := http.Get("https://srs.nemunai.re/repochecker.version")
	if err == nil {
		defer res.Body.Close()
		dec := json.NewDecoder(res.Body)

		var v int
		if err := dec.Decode(&v); err == io.EOF || err == nil {
			if v > version {
				log.Println("Your repochecker version is outdated, please update it:\n    wget https://srs.nemunai.re/repochecker")
			}
		}
	}
}
